[[bin]]
name                    = "lesavka-server"
path                    = "src/main.rs"

[[bin]]
name                    = "lesavka-uvc"
path                    = "src/bin/lesavka-uvc.rs"
test                    = false
bench                   = false

[package]
name                    = "lesavka_server"
version                 = "0.14.17"
edition                 = "2024"
autobins                = false

[dependencies]
tokio                   = { version = "1.45", features = ["full", "fs"] }
tokio-stream            = "0.1"
tonic                   = { version = "0.13", features = ["transport"] }
tonic-reflection        = "0.13"
anyhow                  = "1.0"
lesavka_common          = { path = "../common" }
tracing                 = { version = "0.1", features = ["std"] }
tracing-subscriber      = { version = "0.3", features = ["env-filter", "fmt", "ansi"] }
tracing-appender        = "0.2"
libc                    = "0.2"
futures-util            = "0.3"
gstreamer               = { version = "0.23", features = ["v1_22"] }
gstreamer-app           = { version = "0.23", features = ["v1_22"] }
gstreamer-video         = "0.23"
udev                    = "0.8"
prost-types             = "0.13"
chrono                  = { version = "0.4", default-features = false, features = ["std", "clock", "serde"] }
chacha20poly1305        = "0.10"
base64                  = "0.22"

[build-dependencies]
prost-build             = "0.13"

[dev-dependencies]
serial_test             = { workspace = true }
tempfile                = { workspace = true }
temp-env                = { workspace = true }
